Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractTariffMasterData

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariffMasterData

public class ContractTariffMasterData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffMasterData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractTariff`
  `getContractTariff()`
  `List<IdTitle>`
  `getTariffGroups()`
  `List<IdTitle>`
  `getTariffs()`
  `boolean`
  `isEditComment()`
  `boolean`
  `isEditGroup()`
  `boolean`
  `isEditPeriodFrom()`
  `boolean`
  `isEditPeriodTo()`
  `boolean`
  `isEditPosition()`
  `ContractTariffMasterData`
  `setContractTariff(ContractTariff contractTariff)`
  `ContractTariffMasterData`
  `setEditComment(boolean editComment)`
  `ContractTariffMasterData`
  `setEditGroup(boolean editGroup)`
  `ContractTariffMasterData`
  `setEditPeriodFrom(boolean editPeriodFrom)`
  `ContractTariffMasterData`
  `setEditPeriodTo(boolean editPeriodTo)`
  `ContractTariffMasterData`
  `setEditPosition(boolean editPosition)`
  `ContractTariffMasterData`
  `setTariffGroups(List<IdTitle> tariffGroups)`
  `ContractTariffMasterData`
  `setTariffs(List<IdTitle> tariffs)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffMasterData

    public ContractTariffMasterData()

- ## Method Details

  - ### getContractTariff

    public ContractTariff getContractTariff()

  - ### getTariffGroups

    public List<IdTitle> getTariffGroups()

  - ### getTariffs

    public List<IdTitle> getTariffs()

  - ### isEditComment

    public boolean isEditComment()

  - ### isEditGroup

    public boolean isEditGroup()

  - ### isEditPeriodFrom

    public boolean isEditPeriodFrom()

  - ### isEditPeriodTo

    public boolean isEditPeriodTo()

  - ### isEditPosition

    public boolean isEditPosition()

  - ### setEditComment

    public ContractTariffMasterData setEditComment(boolean editComment)

  - ### setEditGroup

    public ContractTariffMasterData setEditGroup(boolean editGroup)

  - ### setEditPeriodFrom

    public ContractTariffMasterData setEditPeriodFrom(boolean editPeriodFrom)

  - ### setEditPeriodTo

    public ContractTariffMasterData setEditPeriodTo(boolean editPeriodTo)

  - ### setEditPosition

    public ContractTariffMasterData setEditPosition(boolean editPosition)

  - ### setContractTariff

    public ContractTariffMasterData setContractTariff(ContractTariff contractTariff)

  - ### setTariffGroups

    public ContractTariffMasterData setTariffGroups(List<IdTitle> tariffGroups)

  - ### setTariffs

    public ContractTariffMasterData setTariffs(List<IdTitle> tariffs)